Package org.springframework.security.web.authentication.rememberme

# Class InvalidCookieException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.web.authentication.rememberme.RememberMeAuthenticationException
org.springframework.security.web.authentication.rememberme.InvalidCookieException

All Implemented Interfaces:
  `Serializable`

public class InvalidCookieException extends RememberMeAuthenticationException
Exception thrown by a RememberMeServices implementation to indicate that a submitted cookie is of an invalid format or has expired.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidCookieException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidCookieException

public InvalidCookieException(String message)